<!doctype html>
<html lang="en">
<head>
<title>89-looking-forward-to-reproducible-builds</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous">Write questions below this line</span><span class="a_L4cbzAclzRCvUszF" title="a_L4cbzAclzRCvUszF" style="background-color:#f1eed6"></span><br><span class="anonymous" title="anonymous">------------------------------------</span><span class="a_L4cbzAclzRCvUszF" title="a_L4cbzAclzRCvUszF" style="background-color:#f1eed6"></span><br><span class="a_L4cbzAclzRCvUszF" title="a_L4cbzAclzRCvUszF" style="background-color:#f1eed6"></span><br><span class="a_fBvf0TpRZ6K3P5rt" title="a_fBvf0TpRZ6K3P5rt" style="background-color:#7082fb">Q: do we have some nice graph showing how reproducible builds success progresses over time?  (eg. how much percent of the debian packages are reproducable)</span><br><span class="a_fBvf0TpRZ6K3P5rt" title="a_fBvf0TpRZ6K3P5rt" style="background-color:#7082fb">A: found it: https://tests.reproducible-builds.org/debian/unstable/index_suite_amd64_stats.html</span><br><span class="a_fBvf0TpRZ6K3P5rt" title="a_fBvf0TpRZ6K3P5rt" style="background-color:#7082fb"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">Q: </span><span class="a_L4cbzAclzRCvUszF" title="a_L4cbzAclzRCvUszF" style="background-color:#f1eed6">What can/should package maintainers do to help with reproducible builds? What resources are there on learning how to fix reproducible build shortcomings?</span><br><span class="a_L4cbzAclzRCvUszF" title="a_L4cbzAclzRCvUszF" style="background-color:#f1eed6"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">Q: I am wondering if the presentations for these slides can be uploaded and linked somewhere?</span><span class="a_L4cbzAclzRCvUszF" title="a_L4cbzAclzRCvUszF" style="background-color:#f1eed6"></span><br><span class="a_L4cbzAclzRCvUszF" title="a_L4cbzAclzRCvUszF" style="background-color:#f1eed6"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">Q: </span><span class="a_1zLDuANg7SgMgafg" title="a_1zLDuANg7SgMgafg" style="background-color:#7bdb76">How about holding online event for reproducible builds like bug squashing party? :)</span><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">Q: < sergio21> A question for Vagrant: How we can solve PDF generator issues?</span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">16:52 < sergio21> Two PDFs with the same text are differents</span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">16:52 < wouter> amolith: that and PostScript :)</span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">16:52 < wouter> amolith: ghostscript is not reproducible at all, IME, and, well</span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">16:52 < medicalwei> IME machine-learning stuffs</span><span class="a_L4cbzAclzRCvUszF" title="a_L4cbzAclzRCvUszF" style="background-color:#f1eed6"></span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">16:53 < medicalwei> (These are used in CJK IMEs)</span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">16:53 < sergio21> it's the format definition?</span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">16:54 < medicalwei> Also, sphinx docs with dictionary</span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">16:54 < sergio21> Any alternative for documents like PDF?</span><br><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205"></span><br><span class="a_L4cbzAclzRCvUszF" title="a_L4cbzAclzRCvUszF" style="background-color:#f1eed6"></span><br><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2">Remark (rclobus): </span><span class="a_vQlwwiE717zWxoJi" title="a_vQlwwiE717zWxoJi" style="background-color:#75a205">T</span><span class="a_3iL0kzQer53qzsxN" title="a_3iL0kzQer53qzsxN" style="background-color:#a9d9e2">he failing jobs in Jenkins are configuration errors from my side. As you noted, all images are reproducible, except for the Cinnamon image. The Cinnamon image will be reproducible soon (TM)</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
